Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.knipp.rritoolkit.response
Class ErrorCode

    java.lang.Object
      de.knipp.rritoolkit.response.ErrorCode

    public class ErrorCode

extends java.lang.Object

class that splits the DENIC error codes into the respective fields

Version:
  $Revision: 14936 $
Author:
  Klaus Malorny

Field Summary
`private java.lang.String` | `code` the complete code
`static java.lang.String` | `COMP_AUTHORIZATION` component: authorization
`static java.lang.String` | `COMP_INDEPENDENT` component: independent
`static java.lang.String` | `COMP_KEYWORD` component: keyword
`static java.lang.String` | `COMP_NS_CHECK` component: name server check
`static java.lang.String` | `COMP_PROGRAM_LOGIC` component: program logic
`static java.lang.String` | `COMP_VALUE` component: value
`private java.lang.String` | `component` the component code
`static java.lang.String` | `ECLASS_ERROR_PERMANENT` error class: error, permanent
`static java.lang.String` | `ECLASS_ERROR_TEMPORARY` error class: error, temporary
`static java.lang.String` | `ECLASS_FATAL_ERROR_PERMANENT` error class: fatal error, permanent
`static java.lang.String` | `ECLASS_FATAL_ERROR_TEMPORARY` error class: fatal error, temporary
`static java.lang.String` | `ECLASS_INFO_FAILED` error class: info, failed
`static java.lang.String` | `ECLASS_INFO_SUCCESS` error class: info, success
`static java.lang.String` | `ECLASS_WARNING_PERMANENT` error class: warning, permanent
`static java.lang.String` | `ECLASS_WARNING_TEMPORARY` error class: warning, temporary
`private java.lang.String` | `errorClass` the class
`private java.lang.String` | `errorCode` the error code
`static java.lang.String` | `IACCESS_INDEPENDENT` interface access: interface independent
`static java.lang.String` | `IACCESS_RRI` interface access: RRI
`static java.lang.String` | `IAPP_AUTHINFO_EXPIRE` interface application: authinfo expire
`static java.lang.String` | `IAPP_AUTHINFO1_CREATE` interface application: authinfo 1 create
`static java.lang.String` | `IAPP_AUTHINFO1_DELETE` interface application: authinfo 1 delete
`static java.lang.String` | `IAPP_AUTHINFO2_CREATE` interface application: authinfo 2 create
`static java.lang.String` | `IAPP_CHECK` interface application: check
`static java.lang.String` | `IAPP_CONTACT` interface application: contact (general)
`static java.lang.String` | `IAPP_CONTACT_CREATE` interface application: contact create
`static java.lang.String` | `IAPP_CONTACT_UPDATE` interface application: contact update
`static java.lang.String` | `IAPP_DOMAIN` interface application: domain (general)
`static java.lang.String` | `IAPP_DOMAIN_ACK` interface application: domain transfer acknowledge
`static java.lang.String` | `IAPP_DOMAIN_CHANGE_HOLDER` interface application: domain change holder
`static java.lang.String` | `IAPP_DOMAIN_CHANGE_PROV` interface application: domain change provider
`static java.lang.String` | `IAPP_DOMAIN_CREATE` interface application: domain create
`static java.lang.String` | `IAPP_DOMAIN_DELETE` interface application: domain delete
`static java.lang.String` | `IAPP_DOMAIN_NACK` interface application: domain transfer negative acknowledge
`static java.lang.String` | `IAPP_DOMAIN_TRANSIT` interface application: domain transit
`static java.lang.String` | `IAPP_DOMAIN_UPDATE` interface application: domain update
`static java.lang.String` | `IAPP_EXPIRE_DE` interface application: expire (DE domain)
`static java.lang.String` | `IAPP_INDEPENDENT` interface application: independent
`static java.lang.String` | `IAPP_INFO` interface application: info
`static java.lang.String` | `IAPP_LOGIN` interface application: login
`static java.lang.String` | `IAPP_MIGRATE_DESCR` interface application: description migration
`static java.lang.String` | `IAPP_QUEUE` interface application: queue (general)
`static java.lang.String` | `IAPP_QUEUE_DELETE` interface application: queue delete
`static java.lang.String` | `IAPP_QUEUE_READ` interface application: queue read
`private java.lang.String` | `interfaceAccess` the interface access method
`private java.lang.String` | `interfaceApplication` the interface application

Constructor Summary
`ErrorCode(java.lang.String theCode)` constructor

Method Summary
`java.lang.String` | `getCode()` return the complete code
`java.lang.String` | `getComponent()` return the component
`java.lang.String` | `getErrorClass()` return the error class
`java.lang.String` | `getErrorCode()` return the actual error code
`java.lang.String` | `getInterfaceAccess()` return the interface access method
`java.lang.String` | `getInterfaceApplication()` return the interface application
`java.lang.String` | `toString()` return a string representation of the error code

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### code

    private java.lang.String code

  the complete code

### errorClass

    private java.lang.String errorClass

  the class

### interfaceAccess

    private java.lang.String interfaceAccess

  the interface access method

### interfaceApplication

    private java.lang.String interfaceApplication

  the interface application

### component

    private java.lang.String component

  the component code

### errorCode

    private java.lang.String errorCode

  the error code

### ECLASS_INFO_SUCCESS

    public static final java.lang.String ECLASS_INFO_SUCCESS

  error class: info, success

  See Also:
    Constant Field Values

### ECLASS_INFO_FAILED

    public static final java.lang.String ECLASS_INFO_FAILED

  error class: info, failed

  See Also:
    Constant Field Values

### ECLASS_WARNING_TEMPORARY

    public static final java.lang.String ECLASS_WARNING_TEMPORARY

  error class: warning, temporary

  See Also:
    Constant Field Values

### ECLASS_WARNING_PERMANENT

    public static final java.lang.String ECLASS_WARNING_PERMANENT

  error class: warning, permanent

  See Also:
    Constant Field Values

### ECLASS_ERROR_TEMPORARY

    public static final java.lang.String ECLASS_ERROR_TEMPORARY

  error class: error, temporary

  See Also:
    Constant Field Values

### ECLASS_ERROR_PERMANENT

    public static final java.lang.String ECLASS_ERROR_PERMANENT

  error class: error, permanent

  See Also:
    Constant Field Values

### ECLASS_FATAL_ERROR_TEMPORARY

    public static final java.lang.String ECLASS_FATAL_ERROR_TEMPORARY

  error class: fatal error, temporary

  See Also:
    Constant Field Values

### ECLASS_FATAL_ERROR_PERMANENT

    public static final java.lang.String ECLASS_FATAL_ERROR_PERMANENT

  error class: fatal error, permanent

  See Also:
    Constant Field Values

### IACCESS_RRI

    public static final java.lang.String IACCESS_RRI

  interface access: RRI

  See Also:
    Constant Field Values

### IACCESS_INDEPENDENT

    public static final java.lang.String IACCESS_INDEPENDENT

  interface access: interface independent

  See Also:
    Constant Field Values

### IAPP_INDEPENDENT

    public static final java.lang.String IAPP_INDEPENDENT

  interface application: independent

  See Also:
    Constant Field Values

### IAPP_LOGIN

    public static final java.lang.String IAPP_LOGIN

  interface application: login

  See Also:
    Constant Field Values

### IAPP_CONTACT

    public static final java.lang.String IAPP_CONTACT

  interface application: contact (general)

  See Also:
    Constant Field Values

### IAPP_CONTACT_CREATE

    public static final java.lang.String IAPP_CONTACT_CREATE

  interface application: contact create

  See Also:
    Constant Field Values

### IAPP_CONTACT_UPDATE

    public static final java.lang.String IAPP_CONTACT_UPDATE

  interface application: contact update

  See Also:
    Constant Field Values

### IAPP_DOMAIN

    public static final java.lang.String IAPP_DOMAIN

  interface application: domain (general)

  See Also:
    Constant Field Values

### IAPP_DOMAIN_CREATE

    public static final java.lang.String IAPP_DOMAIN_CREATE

  interface application: domain create

  See Also:
    Constant Field Values

### IAPP_DOMAIN_UPDATE

    public static final java.lang.String IAPP_DOMAIN_UPDATE

  interface application: domain update

  See Also:
    Constant Field Values

### IAPP_DOMAIN_CHANGE_HOLDER

    public static final java.lang.String IAPP_DOMAIN_CHANGE_HOLDER

  interface application: domain change holder

  See Also:
    Constant Field Values

### IAPP_EXPIRE_DE

    public static final java.lang.String IAPP_EXPIRE_DE

  interface application: expire (DE domain)

  See Also:
    Constant Field Values

### IAPP_DOMAIN_DELETE

    public static final java.lang.String IAPP_DOMAIN_DELETE

  interface application: domain delete

  See Also:
    Constant Field Values

### IAPP_DOMAIN_TRANSIT

    public static final java.lang.String IAPP_DOMAIN_TRANSIT

  interface application: domain transit

  See Also:
    Constant Field Values

### IAPP_DOMAIN_CHANGE_PROV

    public static final java.lang.String IAPP_DOMAIN_CHANGE_PROV

  interface application: domain change provider

  See Also:
    Constant Field Values

### IAPP_DOMAIN_ACK

    public static final java.lang.String IAPP_DOMAIN_ACK

  interface application: domain transfer acknowledge

  See Also:
    Constant Field Values

### IAPP_DOMAIN_NACK

    public static final java.lang.String IAPP_DOMAIN_NACK

  interface application: domain transfer negative acknowledge

  See Also:
    Constant Field Values

### IAPP_AUTHINFO1_CREATE

    public static final java.lang.String IAPP_AUTHINFO1_CREATE

  interface application: authinfo 1 create

  See Also:
    Constant Field Values

### IAPP_AUTHINFO1_DELETE

    public static final java.lang.String IAPP_AUTHINFO1_DELETE

  interface application: authinfo 1 delete

  See Also:
    Constant Field Values

### IAPP_AUTHINFO2_CREATE

    public static final java.lang.String IAPP_AUTHINFO2_CREATE

  interface application: authinfo 2 create

  See Also:
    Constant Field Values

### IAPP_AUTHINFO_EXPIRE

    public static final java.lang.String IAPP_AUTHINFO_EXPIRE

  interface application: authinfo expire

  See Also:
    Constant Field Values

### IAPP_CHECK

    public static final java.lang.String IAPP_CHECK

  interface application: check

  See Also:
    Constant Field Values

### IAPP_INFO

    public static final java.lang.String IAPP_INFO

  interface application: info

  See Also:
    Constant Field Values

### IAPP_QUEUE

    public static final java.lang.String IAPP_QUEUE

  interface application: queue (general)

  See Also:
    Constant Field Values

### IAPP_QUEUE_READ

    public static final java.lang.String IAPP_QUEUE_READ

  interface application: queue read

  See Also:
    Constant Field Values

### IAPP_QUEUE_DELETE

    public static final java.lang.String IAPP_QUEUE_DELETE

  interface application: queue delete

  See Also:
    Constant Field Values

### IAPP_MIGRATE_DESCR

    public static final java.lang.String IAPP_MIGRATE_DESCR

  interface application: description migration

  See Also:
    Constant Field Values

### COMP_INDEPENDENT

    public static final java.lang.String COMP_INDEPENDENT

  component: independent

  See Also:
    Constant Field Values

### COMP_AUTHORIZATION

    public static final java.lang.String COMP_AUTHORIZATION

  component: authorization

  See Also:
    Constant Field Values

### COMP_KEYWORD

    public static final java.lang.String COMP_KEYWORD

  component: keyword

  See Also:
    Constant Field Values

### COMP_VALUE

    public static final java.lang.String COMP_VALUE

  component: value

  See Also:
    Constant Field Values

### COMP_PROGRAM_LOGIC

    public static final java.lang.String COMP_PROGRAM_LOGIC

  component: program logic

  See Also:
    Constant Field Values

### COMP_NS_CHECK

    public static final java.lang.String COMP_NS_CHECK

  component: name server check

  See Also:
    Constant Field Values

Constructor Detail

### ErrorCode

    public ErrorCode(java.lang.String theCode)

  constructor

  Parameters:
    `theCode` - the eleven digit code

Method Detail

### toString

    public java.lang.String toString()

  return a string representation of the error code

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the error code

### getCode

    public java.lang.String getCode()

  return the complete code

  Returns:
    the code

### getErrorClass

    public java.lang.String getErrorClass()

  return the error class

  Returns:
    the error class

### getInterfaceAccess

    public java.lang.String getInterfaceAccess()

  return the interface access method

  Returns:
    the access method

### getInterfaceApplication

    public java.lang.String getInterfaceApplication()

  return the interface application

  Returns:
    the interface application

### getComponent

    public java.lang.String getComponent()

  return the component

  Returns:
    the component

### getErrorCode

    public java.lang.String getErrorCode()

  return the actual error code

  Returns:
    the error code

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Knipp Medien und Kommunikation GmbH